/*
 * Copyright 2011 Perforce Software.  All rights reserved.
 *
 * This file is part of Perforce - the FAST SCM System.
 */

#ifndef DTGSTR_HEADER
#define DTGSTR_HEADER


/*
 * Perforce Defect Tracking Gateway Developers Kit: 
 *
 * This header define helper functions for string creation using new
 * instead of malloc
 *
 */

extern char *cp_string( const char *str );
extern char *mk_string( const char *s1,
			const char *s2 = NULL,
			const char *s3 = NULL,
			const char *s4 = NULL,
			const char *s5 = NULL,
			const char *s6 = NULL,
			const char *s7 = NULL,
			const char *s8 = NULL,
			const char *s9 = NULL,
			const char *s10 = NULL );

#endif
